summaryrefslogtreecommitdiffstats
path: root/mountsubvols.sh
diff options
context:
space:
mode:
Diffstat (limited to 'mountsubvols.sh')
-rwxr-xr-xmountsubvols.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/mountsubvols.sh b/mountsubvols.sh
new file mode 100755
index 0000000..0a653b2
--- /dev/null
+++ b/mountsubvols.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -Ceux
+
+mount /dev/mapper/cr_root /mnt/.snapshots -o subvol=@/.snapshots
+mount /dev/mapper/cr_root /mnt/home -o subvol=@/home
+mount /dev/mapper/cr_root /mnt/opt -o subvol=@/opt
+mount /dev/mapper/cr_root /mnt/root -o subvol=@/root
+mount /dev/mapper/cr_root /mnt/srv -o subvol=@/srv
+mount /dev/mapper/cr_root /mnt/tmp -o subvol=@/tmp
+mount /dev/mapper/cr_root /mnt/usr/local -o subvol=@/usr/local
+mount /dev/mapper/cr_root /mnt/var -o subvol=@/var